#ifndef lint
static char *RCSid = "$Header: table.c,v 1.3 86/11/13 15:40:26 mcooper Locked $";
#endif
     
/*
 *------------------------------------------------------------------
 *
 * $Source: /big/mcooper/src/qterm/RCS/table.c,v $
 * $Revision: 1.3 $
 * $Date: 86/11/13 15:40:26 $
 * $State: Exp $
 * $Author: mcooper $
 * $Locker: mcooper $
 *
 *------------------------------------------------------------------
 *
 * Michael A. Cooper
 * University Computing Services,
 * University of Southern California
 * (mcooper@usc-oberon.arpa)
 *
 *------------------------------------------------------------------
 * $Log:    table.c,v $
 * Revision 1.3  86/11/13  15:40:26  mcooper
 * z29 -> h29.  "h29" is recognized
 * more.
 *
 * Revision 1.2  86/07/01  23:13:04  mcooper
 * Added vt220 and f220 entries.
 *
 * Revision 1.1  86/07/01  22:58:12  mcooper
 * Initial revision
 *
 *------------------------------------------------------------------
 */
     
#include <stdio.h>
     
/*
 * The Master Table
 */
char *terms[] = {
/*  Terminal Sends:            Terminal Name:     Real Name:         */
/*    ---------------            --------------     ----------         */
    "\33[?1;0c",            "vt100",        "Base vt100",
    "\33[?1;1c",            "vt100",        "vt100 with STP",
    "\33[?1;2c",            "vt100",        "ANSI/VT100 Clone",
    "\33[?1;3c",            "vt100",        "vt100 with AVO and STP",
    "\33[?1;4c",            "vt100",        "vt100 with GPO",
    "\33[?1;5c",            "vt100",        "vt100 with GPO and STP",
    "\33[?1;6c",            "vt100",        "vt100 with GPO and AVO",
    "\33[?1;7c",            "vt100",        "vt100 with GPO, STP, and AVO",
    "\33[?6c",                "vt100",        "Generic vt100",
    "\33[?8c",                "vt100",        "TeleVideo 970",
    "\33[0n",                "vt100",        "AT&T Unix PC 7300",
    "\33[?l;0c",            "vt100",        "AT&T Unix PC 7300",
    "\33[?12c",                "vt100",        "Concept from Pro 350/UNIX",
    "\33[?;c",                "vt100",        "Concept From Pro 350/UNIX",
    "\33[=1;1c",            "avt-4p-s",        "Concept with 4 pages memory",
    "\33[=1;2c",            "avt-8p-s",        "Concept with 8 pages memory",
    "\33iBO",                "h29",            "Zenith z29 in zenith mode",
    "\33/K",                "h29",            "Zenith z29 in zenith mode",
    "\33/Z",                "vt52",            "Generic vt52",
    "\33[?12;7;0;102c",        "vt125",        "DEC Pro 350 in vt125 mode",
    "\33[?10c",                "la120",        "DEC Writer III",
/*    "\33[?1;11c",            "cit101e",        "CIE CIT-101 Enhanced w/Graphics", */
    "\33[=1;1c",            "avt-4p-s",        "Concept with 4 pages memory",
    "\33[=1;2c",            "avt-8p-s",        "Concept with 8 pages memory",
    "\33iBO",                "h29",            "Zenith z29 in zenith mode",
    "\33/K",                "h29",            "Zenith z29 in zenith mode",
    "\33/Z",                "vt52",            "Generic vt52",
    "\33[?12;7;0;102c",        "vt125",        "DEC Pro 350 in vt125 mode",
    "\33[?10c",                "la120",        "DEC Writer III",
    "\33[?1;11c",              "f4431",        "Facit 4431",

/*    "\33[?1;11c",            "xt100+",        "Northern Tech LANPARSCOPE",
 */
    "\33[?62;1;2;6;7;8;9c",    "vt220",        "DEC VT220",
    "\33[?62;1;2;6;7;8c",     "vt220",         "CIT-220+",
    "\33[?62;2;6;9c",         "vt220",         "VT200 Emulator, VL, JYLK",     
    "\33[62;1;2;6;8c",        "f220",            "Freedom 220 DEC clone",
    "\33[?1;0c",               "vt101",	        "Digital vt101",
    "\33?62;1;2;6;7;8;9c",    "vt220",	        "Olivetti vt220",
    "\33?6c",                  "vt102",         "Digital vt102",
    "\33[?6;2c",               "vt102",         "Kermit vt102/tek4010",
    NULL
};

